Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
Substitution of the word "resource" by "model" in every surf related identifier
[simgrid.git] / testsuite / Makefile.in
1 # Makefile.in generated by automake 1.10 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Makefile chunk which allows to display the files which should be included
18 # into the distribution.
19
20 # It is intended to be included in all Makefile.am 
21 VPATH = @srcdir@
22 pkgdatadir = $(datadir)/@PACKAGE@
23 pkglibdir = $(libdir)/@PACKAGE@
24 pkgincludedir = $(includedir)/@PACKAGE@
25 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
26 install_sh_DATA = $(install_sh) -c -m 644
27 install_sh_PROGRAM = $(install_sh) -c
28 install_sh_SCRIPT = $(install_sh) -c
29 INSTALL_HEADER = $(INSTALL_DATA)
30 transform = $(program_transform_name)
31 NORMAL_INSTALL = :
32 PRE_INSTALL = :
33 POST_INSTALL = :
34 NORMAL_UNINSTALL = :
35 PRE_UNINSTALL = :
36 POST_UNINSTALL = :
37 build_triplet = @build@
38 host_triplet = @host@
39 target_triplet = @target@
40 check_PROGRAMS = $(am__EXEEXT_1) $(am__EXEEXT_2) $(am__EXEEXT_3) \
41         $(am__EXEEXT_4)
42 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
43         $(srcdir)/run_tests.in $(top_srcdir)/acmacro/dist-files.mk
44 subdir = testsuite
45 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
46 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
47         $(top_srcdir)/acmacro/compiler-flags.m4 \
48         $(top_srcdir)/acmacro/context.m4 \
49         $(top_srcdir)/acmacro/fancy_configury.m4 \
50         $(top_srcdir)/acmacro/flex.m4 \
51         $(top_srcdir)/acmacro/gras_arch.m4 \
52         $(top_srcdir)/acmacro/print_null.m4 \
53         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
54 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
55         $(ACLOCAL_M4)
56 mkinstalldirs = $(install_sh) -d
57 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
58 CONFIG_CLEAN_FILES = run_tests
59 am__EXEEXT_1 = xbt/log_usage$(EXEEXT) xbt/heap_bench$(EXEEXT) \
60         xbt/graphxml_usage$(EXEEXT) xbt/context_usage$(EXEEXT)
61 am__EXEEXT_2 = gras/trp_tcp_client$(EXEEXT) \
62         gras/trp_tcp_server$(EXEEXT) gras/trp_file_client$(EXEEXT) \
63         gras/trp_file_server$(EXEEXT) gras/datadesc_usage$(EXEEXT)
64 am__EXEEXT_3 = surf/maxmin_bench$(EXEEXT) surf/lmm_usage$(EXEEXT) \
65         surf/trace_usage$(EXEEXT) surf/surf_usage$(EXEEXT) \
66         surf/surf_usage2$(EXEEXT)
67 am__EXEEXT_4 = simdag/sd_test$(EXEEXT)
68 am_gras_datadesc_usage_OBJECTS = datadesc_usage.$(OBJEXT) \
69         datadesc_structs.$(OBJEXT)
70 gras_datadesc_usage_OBJECTS = $(am_gras_datadesc_usage_OBJECTS)
71 gras_datadesc_usage_DEPENDENCIES = $(LDADD_RL)
72 am__dirstamp = $(am__leading_dot)dirstamp
73 gras_trp_file_client_SOURCES = gras/trp_file_client.c
74 gras_trp_file_client_OBJECTS = trp_file_client.$(OBJEXT)
75 gras_trp_file_client_DEPENDENCIES = $(LDADD_RL)
76 gras_trp_file_server_SOURCES = gras/trp_file_server.c
77 gras_trp_file_server_OBJECTS = trp_file_server.$(OBJEXT)
78 gras_trp_file_server_DEPENDENCIES = $(LDADD_RL)
79 gras_trp_tcp_client_SOURCES = gras/trp_tcp_client.c
80 gras_trp_tcp_client_OBJECTS = trp_tcp_client.$(OBJEXT)
81 gras_trp_tcp_client_DEPENDENCIES = $(LDADD_RL)
82 gras_trp_tcp_server_SOURCES = gras/trp_tcp_server.c
83 gras_trp_tcp_server_OBJECTS = trp_tcp_server.$(OBJEXT)
84 gras_trp_tcp_server_DEPENDENCIES = $(LDADD_RL)
85 simdag_sd_test_SOURCES = simdag/sd_test.c
86 simdag_sd_test_OBJECTS = sd_test.$(OBJEXT)
87 simdag_sd_test_DEPENDENCIES = $(LDADD_SG)
88 surf_lmm_usage_SOURCES = surf/lmm_usage.c
89 surf_lmm_usage_OBJECTS = lmm_usage.$(OBJEXT)
90 surf_lmm_usage_DEPENDENCIES = $(LDADD_SG)
91 surf_maxmin_bench_SOURCES = surf/maxmin_bench.c
92 surf_maxmin_bench_OBJECTS = maxmin_bench.$(OBJEXT)
93 surf_maxmin_bench_DEPENDENCIES = $(LDADD_SG)
94 surf_surf_usage_SOURCES = surf/surf_usage.c
95 surf_surf_usage_OBJECTS = surf_usage.$(OBJEXT)
96 surf_surf_usage_DEPENDENCIES = $(LDADD_SG)
97 surf_surf_usage2_SOURCES = surf/surf_usage2.c
98 surf_surf_usage2_OBJECTS = surf_usage2.$(OBJEXT)
99 surf_surf_usage2_DEPENDENCIES = $(LDADD_SG)
100 surf_trace_usage_SOURCES = surf/trace_usage.c
101 surf_trace_usage_OBJECTS = trace_usage.$(OBJEXT)
102 surf_trace_usage_DEPENDENCIES = $(LDADD_SG)
103 xbt_context_usage_SOURCES = xbt/context_usage.c
104 xbt_context_usage_OBJECTS = context_usage.$(OBJEXT)
105 xbt_context_usage_DEPENDENCIES = $(LDADD_SG)
106 xbt_graphxml_usage_SOURCES = xbt/graphxml_usage.c
107 xbt_graphxml_usage_OBJECTS = graphxml_usage.$(OBJEXT)
108 xbt_graphxml_usage_DEPENDENCIES = $(LDADD_SG)
109 xbt_heap_bench_SOURCES = xbt/heap_bench.c
110 xbt_heap_bench_OBJECTS = heap_bench.$(OBJEXT)
111 xbt_heap_bench_DEPENDENCIES = $(LDADD_RL)
112 xbt_log_usage_SOURCES = xbt/log_usage.c
113 xbt_log_usage_OBJECTS = log_usage.$(OBJEXT)
114 xbt_log_usage_DEPENDENCIES = $(LDADD_RL)
115 DEFAULT_INCLUDES = -I. -I$(top_builddir)/src@am__isrc@
116 depcomp = $(SHELL) $(top_srcdir)/depcomp
117 am__depfiles_maybe = depfiles
118 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
119         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
120 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
121         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
122         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
123 CCLD = $(CC)
124 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
125         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
126         $(LDFLAGS) -o $@
127 SOURCES = $(gras_datadesc_usage_SOURCES) gras/trp_file_client.c \
128         gras/trp_file_server.c gras/trp_tcp_client.c \
129         gras/trp_tcp_server.c simdag/sd_test.c surf/lmm_usage.c \
130         surf/maxmin_bench.c surf/surf_usage.c surf/surf_usage2.c \
131         surf/trace_usage.c xbt/context_usage.c xbt/graphxml_usage.c \
132         xbt/heap_bench.c xbt/log_usage.c
133 DIST_SOURCES = $(gras_datadesc_usage_SOURCES) gras/trp_file_client.c \
134         gras/trp_file_server.c gras/trp_tcp_client.c \
135         gras/trp_tcp_server.c simdag/sd_test.c surf/lmm_usage.c \
136         surf/maxmin_bench.c surf/surf_usage.c surf/surf_usage2.c \
137         surf/trace_usage.c xbt/context_usage.c xbt/graphxml_usage.c \
138         xbt/heap_bench.c xbt/log_usage.c
139 ETAGS = etags
140 CTAGS = ctags
141 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
142 ACLOCAL = @ACLOCAL@
143 ADDR2LINE = @ADDR2LINE@
144 AMTAR = @AMTAR@
145 AM_CPPFLAGS = @AM_CPPFLAGS@
146 AR = @AR@
147 AS = @AS@
148 AUTOCONF = @AUTOCONF@
149 AUTOHEADER = @AUTOHEADER@
150 AUTOMAKE = @AUTOMAKE@
151 AWK = @AWK@
152 BASH = @BASH@
153 CC = @CC@
154 CCDEPMODE = @CCDEPMODE@
155 CFLAGS = @CFLAGS@
156 CPP = @CPP@
157 CPPFLAGS = @CPPFLAGS@
158 CXX = @CXX@
159 CXXCPP = @CXXCPP@
160 CXXDEPMODE = @CXXDEPMODE@
161 CXXFLAGS = @CXXFLAGS@
162 CYGPATH_W = @CYGPATH_W@
163 DEFS = @DEFS@
164 DEPDIR = @DEPDIR@
165 DLLTOOL = @DLLTOOL@
166 DOXYGEN = @DOXYGEN@
167 ECHO = @ECHO@
168 ECHO_C = @ECHO_C@
169 ECHO_N = @ECHO_N@
170 ECHO_T = @ECHO_T@
171 EGREP = @EGREP@
172 EXEEXT = @EXEEXT@
173 FLEXML = @FLEXML@
174 GCJ = @GCJ@
175 GCJDEPMODE = @GCJDEPMODE@
176 GCJFLAGS = @GCJFLAGS@
177 GRAS_DEP = @GRAS_DEP@
178 GREP = @GREP@
179 INSTALL = @INSTALL@
180 INSTALL_DATA = @INSTALL_DATA@
181 INSTALL_PROGRAM = @INSTALL_PROGRAM@
182 INSTALL_SCRIPT = @INSTALL_SCRIPT@
183 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
184 JAR = @JAR@
185 JAVA = @JAVA@
186 JAVAC = @JAVAC@
187 LDFLAGS = @LDFLAGS@
188 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
189 LEX = @LEX@
190 LEXLIB = @LEXLIB@
191 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
192 LIBOBJS = @LIBOBJS@
193 LIBS = @LIBS@
194 LIBTOOL = @LIBTOOL@
195 LN_S = @LN_S@
196 LTLIBOBJS = @LTLIBOBJS@
197 MAINT = @MAINT@
198 MAKEINFO = @MAKEINFO@
199 MD5SUM = @MD5SUM@
200 MKDIR_P = @MKDIR_P@
201 OBJDUMP = @OBJDUMP@
202 OBJEXT = @OBJEXT@
203 PACKAGE = @PACKAGE@
204 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
205 PACKAGE_NAME = @PACKAGE_NAME@
206 PACKAGE_STRING = @PACKAGE_STRING@
207 PACKAGE_TARNAME = @PACKAGE_TARNAME@
208 PACKAGE_VERSION = @PACKAGE_VERSION@
209 PATH_SEPARATOR = @PATH_SEPARATOR@
210 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
211 RANLIB = @RANLIB@
212 SET_MAKE = @SET_MAKE@
213 SHELL = @SHELL@
214 SIMGRID_DEP = @SIMGRID_DEP@
215 SMPI_DEP = @SMPI_DEP@
216 STRIP = @STRIP@
217 VERSION = @VERSION@
218 WARNING = @WARNING@
219 abs_builddir = @abs_builddir@
220 abs_srcdir = @abs_srcdir@
221 abs_top_builddir = @abs_top_builddir@
222 abs_top_srcdir = @abs_top_srcdir@
223 ac_configure_args = @ac_configure_args@
224 ac_ct_CC = @ac_ct_CC@
225 ac_ct_CXX = @ac_ct_CXX@
226 am__include = @am__include@
227 am__leading_dot = @am__leading_dot@
228 am__quote = @am__quote@
229 am__tar = @am__tar@
230 am__untar = @am__untar@
231 bindir = @bindir@
232 build = @build@
233 build_alias = @build_alias@
234 build_cpu = @build_cpu@
235 build_id = @build_id@
236 build_os = @build_os@
237 build_vendor = @build_vendor@
238 builddir = @builddir@
239 datadir = @datadir@
240 datarootdir = @datarootdir@
241 docdir = @docdir@
242 dvidir = @dvidir@
243 exec_prefix = @exec_prefix@
244 host = @host@
245 host_alias = @host_alias@
246 host_cpu = @host_cpu@
247 host_os = @host_os@
248 host_vendor = @host_vendor@
249 htmldir = @htmldir@
250 includedir = @includedir@
251 infodir = @infodir@
252 install_sh = @install_sh@
253 libdir = @libdir@
254 libexecdir = @libexecdir@
255 localedir = @localedir@
256 localstatedir = @localstatedir@
257 mandir = @mandir@
258 mkdir_p = @mkdir_p@
259 oldincludedir = @oldincludedir@
260 pdfdir = @pdfdir@
261 prefix = @prefix@
262 program_transform_name = @program_transform_name@
263 psdir = @psdir@
264 pth_skaddr_makecontext = @pth_skaddr_makecontext@
265 pth_sksize_makecontext = @pth_sksize_makecontext@
266 sbindir = @sbindir@
267 sharedstatedir = @sharedstatedir@
268 srcdir = @srcdir@
269 sysconfdir = @sysconfdir@
270 target = @target@
271 target_alias = @target_alias@
272 target_cpu = @target_cpu@
273 target_os = @target_os@
274 target_vendor = @target_vendor@
275 top_builddir = @top_builddir@
276 top_srcdir = @top_srcdir@
277 INCLUDES = -I$(top_srcdir)/include -I$(top_srcdir)/src -I$(top_srcdir)/src/include
278 AM_CFLAGS = -g
279 CLEANFILES = *~ test a.out *.o gras/datadesc_usage.out datadesc_usage.out\
280   testgraph.xml testgraph.dot
281
282 DISTCLEANFILES = gras/.libs/* xbt/.libs/* surf/.libs/* msg/.libs/* simdag/.libs/*
283 EXTRA_DIST = run_tests.in \
284   gras/datadesc.little32 gras/datadesc.little32_4 \
285   gras/datadesc.little64\
286   gras/datadesc.big32 gras/datadesc.big32_8_4 gras/datadesc.big32_2 \
287   gras/mk_datadesc_structs.pl \
288   xbt/graph.xml \
289   surf/trace_A.txt surf/trace_B.txt surf/trace_A_failure.txt surf/platform.xml\
290   simdag/availability_tremblay.txt simdag/small_platform_variable.xml
291
292
293 # Data sets still to regenerate:
294 # gras/datadesc.big64 
295 # gras/datadesc.big32_4 
296
297 # Test stuff
298 xbt_tests = \
299         xbt/log_usage                                            \
300         xbt/heap_bench                                           \
301         xbt/graphxml_usage                                       \
302         xbt/context_usage                                        
303
304 RL_tests = \
305         gras/trp_tcp_client   gras/trp_tcp_server       \
306         gras/trp_file_client  gras/trp_file_server      \
307         gras/datadesc_usage                             
308
309 SG_tests = \
310         surf/maxmin_bench surf/lmm_usage \
311         surf/trace_usage surf/surf_usage surf/surf_usage2
312
313 simdag_tests = simdag/sd_test
314 check_SCRIPTS = run_tests gras/trp_tcp_usage
315 TESTS = run_tests
316
317 # LDADD_UTILS is still a separate var to distinguish core tester from RL tester
318 LDADD_SG = $(abs_top_builddir)/src/libsimgrid.la 
319 LDADD_RL = $(abs_top_builddir)/src/libgras.la   
320 xbt_log_usage_LDADD = $(LDADD_RL)
321 xbt_heap_bench_LDADD = $(LDADD_RL)
322 xbt_graphxml_usage_LDADD = $(LDADD_SG)
323 xbt_context_usage_LDADD = $(LDADD_SG)
324 surf_maxmin_bench_LDADD = $(LDADD_SG)
325 surf_lmm_usage_LDADD = $(LDADD_SG)
326 surf_trace_usage_LDADD = $(LDADD_SG)
327 surf_surf_usage_LDADD = $(LDADD_SG)
328 surf_surf_usage2_LDADD = $(LDADD_SG)
329 gras_trp_tcp_client_LDADD = $(LDADD_RL)
330 gras_trp_tcp_server_LDADD = $(LDADD_RL)
331 gras_trp_file_client_LDADD = $(LDADD_RL)
332 gras_trp_file_server_LDADD = $(LDADD_RL)
333 gras_datadesc_usage_SOURCES = gras/datadesc_usage.c gras/datadesc_structs.c
334 gras_datadesc_usage_LDADD = $(LDADD_RL)
335 simdag_sd_test_LDADD = $(LDADD_SG)
336 all: all-am
337
338 .SUFFIXES:
339 .SUFFIXES: .c .lo .o .obj
340 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
341         @for dep in $?; do \
342           case '$(am__configure_deps)' in \
343             *$$dep*) \
344               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
345                 && exit 0; \
346               exit 1;; \
347           esac; \
348         done; \
349         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  testsuite/Makefile'; \
350         cd $(top_srcdir) && \
351           $(AUTOMAKE) --gnu  testsuite/Makefile
352 .PRECIOUS: Makefile
353 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
354         @case '$?' in \
355           *config.status*) \
356             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
357           *) \
358             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
359             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
360         esac;
361
362 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
363         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
364
365 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
366         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
367 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
368         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
369 run_tests: $(top_builddir)/config.status $(srcdir)/run_tests.in
370         cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
371
372 clean-checkPROGRAMS:
373         @list='$(check_PROGRAMS)'; for p in $$list; do \
374           f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
375           echo " rm -f $$p $$f"; \
376           rm -f $$p $$f ; \
377         done
378 gras/$(am__dirstamp):
379         @$(MKDIR_P) gras
380         @: > gras/$(am__dirstamp)
381 gras/datadesc_usage$(EXEEXT): $(gras_datadesc_usage_OBJECTS) $(gras_datadesc_usage_DEPENDENCIES) gras/$(am__dirstamp)
382         @rm -f gras/datadesc_usage$(EXEEXT)
383         $(LINK) $(gras_datadesc_usage_OBJECTS) $(gras_datadesc_usage_LDADD) $(LIBS)
384 gras/trp_file_client$(EXEEXT): $(gras_trp_file_client_OBJECTS) $(gras_trp_file_client_DEPENDENCIES) gras/$(am__dirstamp)
385         @rm -f gras/trp_file_client$(EXEEXT)
386         $(LINK) $(gras_trp_file_client_OBJECTS) $(gras_trp_file_client_LDADD) $(LIBS)
387 gras/trp_file_server$(EXEEXT): $(gras_trp_file_server_OBJECTS) $(gras_trp_file_server_DEPENDENCIES) gras/$(am__dirstamp)
388         @rm -f gras/trp_file_server$(EXEEXT)
389         $(LINK) $(gras_trp_file_server_OBJECTS) $(gras_trp_file_server_LDADD) $(LIBS)
390 gras/trp_tcp_client$(EXEEXT): $(gras_trp_tcp_client_OBJECTS) $(gras_trp_tcp_client_DEPENDENCIES) gras/$(am__dirstamp)
391         @rm -f gras/trp_tcp_client$(EXEEXT)
392         $(LINK) $(gras_trp_tcp_client_OBJECTS) $(gras_trp_tcp_client_LDADD) $(LIBS)
393 gras/trp_tcp_server$(EXEEXT): $(gras_trp_tcp_server_OBJECTS) $(gras_trp_tcp_server_DEPENDENCIES) gras/$(am__dirstamp)
394         @rm -f gras/trp_tcp_server$(EXEEXT)
395         $(LINK) $(gras_trp_tcp_server_OBJECTS) $(gras_trp_tcp_server_LDADD) $(LIBS)
396 simdag/$(am__dirstamp):
397         @$(MKDIR_P) simdag
398         @: > simdag/$(am__dirstamp)
399 simdag/sd_test$(EXEEXT): $(simdag_sd_test_OBJECTS) $(simdag_sd_test_DEPENDENCIES) simdag/$(am__dirstamp)
400         @rm -f simdag/sd_test$(EXEEXT)
401         $(LINK) $(simdag_sd_test_OBJECTS) $(simdag_sd_test_LDADD) $(LIBS)
402 surf/$(am__dirstamp):
403         @$(MKDIR_P) surf
404         @: > surf/$(am__dirstamp)
405 surf/lmm_usage$(EXEEXT): $(surf_lmm_usage_OBJECTS) $(surf_lmm_usage_DEPENDENCIES) surf/$(am__dirstamp)
406         @rm -f surf/lmm_usage$(EXEEXT)
407         $(LINK) $(surf_lmm_usage_OBJECTS) $(surf_lmm_usage_LDADD) $(LIBS)
408 surf/maxmin_bench$(EXEEXT): $(surf_maxmin_bench_OBJECTS) $(surf_maxmin_bench_DEPENDENCIES) surf/$(am__dirstamp)
409         @rm -f surf/maxmin_bench$(EXEEXT)
410         $(LINK) $(surf_maxmin_bench_OBJECTS) $(surf_maxmin_bench_LDADD) $(LIBS)
411 surf/surf_usage$(EXEEXT): $(surf_surf_usage_OBJECTS) $(surf_surf_usage_DEPENDENCIES) surf/$(am__dirstamp)
412         @rm -f surf/surf_usage$(EXEEXT)
413         $(LINK) $(surf_surf_usage_OBJECTS) $(surf_surf_usage_LDADD) $(LIBS)
414 surf/surf_usage2$(EXEEXT): $(surf_surf_usage2_OBJECTS) $(surf_surf_usage2_DEPENDENCIES) surf/$(am__dirstamp)
415         @rm -f surf/surf_usage2$(EXEEXT)
416         $(LINK) $(surf_surf_usage2_OBJECTS) $(surf_surf_usage2_LDADD) $(LIBS)
417 surf/trace_usage$(EXEEXT): $(surf_trace_usage_OBJECTS) $(surf_trace_usage_DEPENDENCIES) surf/$(am__dirstamp)
418         @rm -f surf/trace_usage$(EXEEXT)
419         $(LINK) $(surf_trace_usage_OBJECTS) $(surf_trace_usage_LDADD) $(LIBS)
420 xbt/$(am__dirstamp):
421         @$(MKDIR_P) xbt
422         @: > xbt/$(am__dirstamp)
423 xbt/context_usage$(EXEEXT): $(xbt_context_usage_OBJECTS) $(xbt_context_usage_DEPENDENCIES) xbt/$(am__dirstamp)
424         @rm -f xbt/context_usage$(EXEEXT)
425         $(LINK) $(xbt_context_usage_OBJECTS) $(xbt_context_usage_LDADD) $(LIBS)
426 xbt/graphxml_usage$(EXEEXT): $(xbt_graphxml_usage_OBJECTS) $(xbt_graphxml_usage_DEPENDENCIES) xbt/$(am__dirstamp)
427         @rm -f xbt/graphxml_usage$(EXEEXT)
428         $(LINK) $(xbt_graphxml_usage_OBJECTS) $(xbt_graphxml_usage_LDADD) $(LIBS)
429 xbt/heap_bench$(EXEEXT): $(xbt_heap_bench_OBJECTS) $(xbt_heap_bench_DEPENDENCIES) xbt/$(am__dirstamp)
430         @rm -f xbt/heap_bench$(EXEEXT)
431         $(LINK) $(xbt_heap_bench_OBJECTS) $(xbt_heap_bench_LDADD) $(LIBS)
432 xbt/log_usage$(EXEEXT): $(xbt_log_usage_OBJECTS) $(xbt_log_usage_DEPENDENCIES) xbt/$(am__dirstamp)
433         @rm -f xbt/log_usage$(EXEEXT)
434         $(LINK) $(xbt_log_usage_OBJECTS) $(xbt_log_usage_LDADD) $(LIBS)
435
436 mostlyclean-compile:
437         -rm -f *.$(OBJEXT)
438
439 distclean-compile:
440         -rm -f *.tab.c
441
442 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/context_usage.Po@am__quote@
443 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/datadesc_structs.Po@am__quote@
444 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/datadesc_usage.Po@am__quote@
445 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/graphxml_usage.Po@am__quote@
446 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/heap_bench.Po@am__quote@
447 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/lmm_usage.Po@am__quote@
448 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/log_usage.Po@am__quote@
449 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/maxmin_bench.Po@am__quote@
450 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sd_test.Po@am__quote@
451 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/surf_usage.Po@am__quote@
452 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/surf_usage2.Po@am__quote@
453 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/trace_usage.Po@am__quote@
454 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/trp_file_client.Po@am__quote@
455 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/trp_file_server.Po@am__quote@
456 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/trp_tcp_client.Po@am__quote@
457 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/trp_tcp_server.Po@am__quote@
458
459 .c.o:
460 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
461 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
462 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
463 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
464 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
465
466 .c.obj:
467 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
468 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
469 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
470 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
471 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
472
473 .c.lo:
474 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
475 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
476 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
477 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
478 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
479
480 datadesc_usage.o: gras/datadesc_usage.c
481 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT datadesc_usage.o -MD -MP -MF $(DEPDIR)/datadesc_usage.Tpo -c -o datadesc_usage.o `test -f 'gras/datadesc_usage.c' || echo '$(srcdir)/'`gras/datadesc_usage.c
482 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/datadesc_usage.Tpo $(DEPDIR)/datadesc_usage.Po
483 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/datadesc_usage.c' object='datadesc_usage.o' libtool=no @AMDEPBACKSLASH@
484 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
485 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o datadesc_usage.o `test -f 'gras/datadesc_usage.c' || echo '$(srcdir)/'`gras/datadesc_usage.c
486
487 datadesc_usage.obj: gras/datadesc_usage.c
488 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT datadesc_usage.obj -MD -MP -MF $(DEPDIR)/datadesc_usage.Tpo -c -o datadesc_usage.obj `if test -f 'gras/datadesc_usage.c'; then $(CYGPATH_W) 'gras/datadesc_usage.c'; else $(CYGPATH_W) '$(srcdir)/gras/datadesc_usage.c'; fi`
489 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/datadesc_usage.Tpo $(DEPDIR)/datadesc_usage.Po
490 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/datadesc_usage.c' object='datadesc_usage.obj' libtool=no @AMDEPBACKSLASH@
491 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
492 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o datadesc_usage.obj `if test -f 'gras/datadesc_usage.c'; then $(CYGPATH_W) 'gras/datadesc_usage.c'; else $(CYGPATH_W) '$(srcdir)/gras/datadesc_usage.c'; fi`
493
494 datadesc_structs.o: gras/datadesc_structs.c
495 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT datadesc_structs.o -MD -MP -MF $(DEPDIR)/datadesc_structs.Tpo -c -o datadesc_structs.o `test -f 'gras/datadesc_structs.c' || echo '$(srcdir)/'`gras/datadesc_structs.c
496 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/datadesc_structs.Tpo $(DEPDIR)/datadesc_structs.Po
497 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/datadesc_structs.c' object='datadesc_structs.o' libtool=no @AMDEPBACKSLASH@
498 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
499 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o datadesc_structs.o `test -f 'gras/datadesc_structs.c' || echo '$(srcdir)/'`gras/datadesc_structs.c
500
501 datadesc_structs.obj: gras/datadesc_structs.c
502 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT datadesc_structs.obj -MD -MP -MF $(DEPDIR)/datadesc_structs.Tpo -c -o datadesc_structs.obj `if test -f 'gras/datadesc_structs.c'; then $(CYGPATH_W) 'gras/datadesc_structs.c'; else $(CYGPATH_W) '$(srcdir)/gras/datadesc_structs.c'; fi`
503 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/datadesc_structs.Tpo $(DEPDIR)/datadesc_structs.Po
504 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/datadesc_structs.c' object='datadesc_structs.obj' libtool=no @AMDEPBACKSLASH@
505 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
506 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o datadesc_structs.obj `if test -f 'gras/datadesc_structs.c'; then $(CYGPATH_W) 'gras/datadesc_structs.c'; else $(CYGPATH_W) '$(srcdir)/gras/datadesc_structs.c'; fi`
507
508 trp_file_client.o: gras/trp_file_client.c
509 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trp_file_client.o -MD -MP -MF $(DEPDIR)/trp_file_client.Tpo -c -o trp_file_client.o `test -f 'gras/trp_file_client.c' || echo '$(srcdir)/'`gras/trp_file_client.c
510 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/trp_file_client.Tpo $(DEPDIR)/trp_file_client.Po
511 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/trp_file_client.c' object='trp_file_client.o' libtool=no @AMDEPBACKSLASH@
512 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
513 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trp_file_client.o `test -f 'gras/trp_file_client.c' || echo '$(srcdir)/'`gras/trp_file_client.c
514
515 trp_file_client.obj: gras/trp_file_client.c
516 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trp_file_client.obj -MD -MP -MF $(DEPDIR)/trp_file_client.Tpo -c -o trp_file_client.obj `if test -f 'gras/trp_file_client.c'; then $(CYGPATH_W) 'gras/trp_file_client.c'; else $(CYGPATH_W) '$(srcdir)/gras/trp_file_client.c'; fi`
517 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/trp_file_client.Tpo $(DEPDIR)/trp_file_client.Po
518 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/trp_file_client.c' object='trp_file_client.obj' libtool=no @AMDEPBACKSLASH@
519 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
520 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trp_file_client.obj `if test -f 'gras/trp_file_client.c'; then $(CYGPATH_W) 'gras/trp_file_client.c'; else $(CYGPATH_W) '$(srcdir)/gras/trp_file_client.c'; fi`
521
522 trp_file_server.o: gras/trp_file_server.c
523 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trp_file_server.o -MD -MP -MF $(DEPDIR)/trp_file_server.Tpo -c -o trp_file_server.o `test -f 'gras/trp_file_server.c' || echo '$(srcdir)/'`gras/trp_file_server.c
524 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/trp_file_server.Tpo $(DEPDIR)/trp_file_server.Po
525 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/trp_file_server.c' object='trp_file_server.o' libtool=no @AMDEPBACKSLASH@
526 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
527 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trp_file_server.o `test -f 'gras/trp_file_server.c' || echo '$(srcdir)/'`gras/trp_file_server.c
528
529 trp_file_server.obj: gras/trp_file_server.c
530 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trp_file_server.obj -MD -MP -MF $(DEPDIR)/trp_file_server.Tpo -c -o trp_file_server.obj `if test -f 'gras/trp_file_server.c'; then $(CYGPATH_W) 'gras/trp_file_server.c'; else $(CYGPATH_W) '$(srcdir)/gras/trp_file_server.c'; fi`
531 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/trp_file_server.Tpo $(DEPDIR)/trp_file_server.Po
532 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/trp_file_server.c' object='trp_file_server.obj' libtool=no @AMDEPBACKSLASH@
533 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
534 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trp_file_server.obj `if test -f 'gras/trp_file_server.c'; then $(CYGPATH_W) 'gras/trp_file_server.c'; else $(CYGPATH_W) '$(srcdir)/gras/trp_file_server.c'; fi`
535
536 trp_tcp_client.o: gras/trp_tcp_client.c
537 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trp_tcp_client.o -MD -MP -MF $(DEPDIR)/trp_tcp_client.Tpo -c -o trp_tcp_client.o `test -f 'gras/trp_tcp_client.c' || echo '$(srcdir)/'`gras/trp_tcp_client.c
538 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/trp_tcp_client.Tpo $(DEPDIR)/trp_tcp_client.Po
539 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/trp_tcp_client.c' object='trp_tcp_client.o' libtool=no @AMDEPBACKSLASH@
540 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
541 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trp_tcp_client.o `test -f 'gras/trp_tcp_client.c' || echo '$(srcdir)/'`gras/trp_tcp_client.c
542
543 trp_tcp_client.obj: gras/trp_tcp_client.c
544 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trp_tcp_client.obj -MD -MP -MF $(DEPDIR)/trp_tcp_client.Tpo -c -o trp_tcp_client.obj `if test -f 'gras/trp_tcp_client.c'; then $(CYGPATH_W) 'gras/trp_tcp_client.c'; else $(CYGPATH_W) '$(srcdir)/gras/trp_tcp_client.c'; fi`
545 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/trp_tcp_client.Tpo $(DEPDIR)/trp_tcp_client.Po
546 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/trp_tcp_client.c' object='trp_tcp_client.obj' libtool=no @AMDEPBACKSLASH@
547 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
548 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trp_tcp_client.obj `if test -f 'gras/trp_tcp_client.c'; then $(CYGPATH_W) 'gras/trp_tcp_client.c'; else $(CYGPATH_W) '$(srcdir)/gras/trp_tcp_client.c'; fi`
549
550 trp_tcp_server.o: gras/trp_tcp_server.c
551 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trp_tcp_server.o -MD -MP -MF $(DEPDIR)/trp_tcp_server.Tpo -c -o trp_tcp_server.o `test -f 'gras/trp_tcp_server.c' || echo '$(srcdir)/'`gras/trp_tcp_server.c
552 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/trp_tcp_server.Tpo $(DEPDIR)/trp_tcp_server.Po
553 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/trp_tcp_server.c' object='trp_tcp_server.o' libtool=no @AMDEPBACKSLASH@
554 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
555 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trp_tcp_server.o `test -f 'gras/trp_tcp_server.c' || echo '$(srcdir)/'`gras/trp_tcp_server.c
556
557 trp_tcp_server.obj: gras/trp_tcp_server.c
558 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trp_tcp_server.obj -MD -MP -MF $(DEPDIR)/trp_tcp_server.Tpo -c -o trp_tcp_server.obj `if test -f 'gras/trp_tcp_server.c'; then $(CYGPATH_W) 'gras/trp_tcp_server.c'; else $(CYGPATH_W) '$(srcdir)/gras/trp_tcp_server.c'; fi`
559 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/trp_tcp_server.Tpo $(DEPDIR)/trp_tcp_server.Po
560 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/trp_tcp_server.c' object='trp_tcp_server.obj' libtool=no @AMDEPBACKSLASH@
561 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
562 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trp_tcp_server.obj `if test -f 'gras/trp_tcp_server.c'; then $(CYGPATH_W) 'gras/trp_tcp_server.c'; else $(CYGPATH_W) '$(srcdir)/gras/trp_tcp_server.c'; fi`
563
564 sd_test.o: simdag/sd_test.c
565 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sd_test.o -MD -MP -MF $(DEPDIR)/sd_test.Tpo -c -o sd_test.o `test -f 'simdag/sd_test.c' || echo '$(srcdir)/'`simdag/sd_test.c
566 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/sd_test.Tpo $(DEPDIR)/sd_test.Po
567 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/sd_test.c' object='sd_test.o' libtool=no @AMDEPBACKSLASH@
568 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
569 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sd_test.o `test -f 'simdag/sd_test.c' || echo '$(srcdir)/'`simdag/sd_test.c
570
571 sd_test.obj: simdag/sd_test.c
572 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sd_test.obj -MD -MP -MF $(DEPDIR)/sd_test.Tpo -c -o sd_test.obj `if test -f 'simdag/sd_test.c'; then $(CYGPATH_W) 'simdag/sd_test.c'; else $(CYGPATH_W) '$(srcdir)/simdag/sd_test.c'; fi`
573 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/sd_test.Tpo $(DEPDIR)/sd_test.Po
574 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/sd_test.c' object='sd_test.obj' libtool=no @AMDEPBACKSLASH@
575 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
576 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sd_test.obj `if test -f 'simdag/sd_test.c'; then $(CYGPATH_W) 'simdag/sd_test.c'; else $(CYGPATH_W) '$(srcdir)/simdag/sd_test.c'; fi`
577
578 lmm_usage.o: surf/lmm_usage.c
579 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT lmm_usage.o -MD -MP -MF $(DEPDIR)/lmm_usage.Tpo -c -o lmm_usage.o `test -f 'surf/lmm_usage.c' || echo '$(srcdir)/'`surf/lmm_usage.c
580 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/lmm_usage.Tpo $(DEPDIR)/lmm_usage.Po
581 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/lmm_usage.c' object='lmm_usage.o' libtool=no @AMDEPBACKSLASH@
582 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
583 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o lmm_usage.o `test -f 'surf/lmm_usage.c' || echo '$(srcdir)/'`surf/lmm_usage.c
584
585 lmm_usage.obj: surf/lmm_usage.c
586 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT lmm_usage.obj -MD -MP -MF $(DEPDIR)/lmm_usage.Tpo -c -o lmm_usage.obj `if test -f 'surf/lmm_usage.c'; then $(CYGPATH_W) 'surf/lmm_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/lmm_usage.c'; fi`
587 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/lmm_usage.Tpo $(DEPDIR)/lmm_usage.Po
588 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/lmm_usage.c' object='lmm_usage.obj' libtool=no @AMDEPBACKSLASH@
589 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
590 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o lmm_usage.obj `if test -f 'surf/lmm_usage.c'; then $(CYGPATH_W) 'surf/lmm_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/lmm_usage.c'; fi`
591
592 maxmin_bench.o: surf/maxmin_bench.c
593 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT maxmin_bench.o -MD -MP -MF $(DEPDIR)/maxmin_bench.Tpo -c -o maxmin_bench.o `test -f 'surf/maxmin_bench.c' || echo '$(srcdir)/'`surf/maxmin_bench.c
594 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/maxmin_bench.Tpo $(DEPDIR)/maxmin_bench.Po
595 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/maxmin_bench.c' object='maxmin_bench.o' libtool=no @AMDEPBACKSLASH@
596 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
597 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o maxmin_bench.o `test -f 'surf/maxmin_bench.c' || echo '$(srcdir)/'`surf/maxmin_bench.c
598
599 maxmin_bench.obj: surf/maxmin_bench.c
600 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT maxmin_bench.obj -MD -MP -MF $(DEPDIR)/maxmin_bench.Tpo -c -o maxmin_bench.obj `if test -f 'surf/maxmin_bench.c'; then $(CYGPATH_W) 'surf/maxmin_bench.c'; else $(CYGPATH_W) '$(srcdir)/surf/maxmin_bench.c'; fi`
601 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/maxmin_bench.Tpo $(DEPDIR)/maxmin_bench.Po
602 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/maxmin_bench.c' object='maxmin_bench.obj' libtool=no @AMDEPBACKSLASH@
603 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
604 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o maxmin_bench.obj `if test -f 'surf/maxmin_bench.c'; then $(CYGPATH_W) 'surf/maxmin_bench.c'; else $(CYGPATH_W) '$(srcdir)/surf/maxmin_bench.c'; fi`
605
606 surf_usage.o: surf/surf_usage.c
607 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT surf_usage.o -MD -MP -MF $(DEPDIR)/surf_usage.Tpo -c -o surf_usage.o `test -f 'surf/surf_usage.c' || echo '$(srcdir)/'`surf/surf_usage.c
608 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/surf_usage.Tpo $(DEPDIR)/surf_usage.Po
609 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/surf_usage.c' object='surf_usage.o' libtool=no @AMDEPBACKSLASH@
610 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
611 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o surf_usage.o `test -f 'surf/surf_usage.c' || echo '$(srcdir)/'`surf/surf_usage.c
612
613 surf_usage.obj: surf/surf_usage.c
614 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT surf_usage.obj -MD -MP -MF $(DEPDIR)/surf_usage.Tpo -c -o surf_usage.obj `if test -f 'surf/surf_usage.c'; then $(CYGPATH_W) 'surf/surf_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/surf_usage.c'; fi`
615 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/surf_usage.Tpo $(DEPDIR)/surf_usage.Po
616 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/surf_usage.c' object='surf_usage.obj' libtool=no @AMDEPBACKSLASH@
617 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
618 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o surf_usage.obj `if test -f 'surf/surf_usage.c'; then $(CYGPATH_W) 'surf/surf_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/surf_usage.c'; fi`
619
620 surf_usage2.o: surf/surf_usage2.c
621 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT surf_usage2.o -MD -MP -MF $(DEPDIR)/surf_usage2.Tpo -c -o surf_usage2.o `test -f 'surf/surf_usage2.c' || echo '$(srcdir)/'`surf/surf_usage2.c
622 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/surf_usage2.Tpo $(DEPDIR)/surf_usage2.Po
623 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/surf_usage2.c' object='surf_usage2.o' libtool=no @AMDEPBACKSLASH@
624 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
625 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o surf_usage2.o `test -f 'surf/surf_usage2.c' || echo '$(srcdir)/'`surf/surf_usage2.c
626
627 surf_usage2.obj: surf/surf_usage2.c
628 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT surf_usage2.obj -MD -MP -MF $(DEPDIR)/surf_usage2.Tpo -c -o surf_usage2.obj `if test -f 'surf/surf_usage2.c'; then $(CYGPATH_W) 'surf/surf_usage2.c'; else $(CYGPATH_W) '$(srcdir)/surf/surf_usage2.c'; fi`
629 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/surf_usage2.Tpo $(DEPDIR)/surf_usage2.Po
630 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/surf_usage2.c' object='surf_usage2.obj' libtool=no @AMDEPBACKSLASH@
631 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
632 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o surf_usage2.obj `if test -f 'surf/surf_usage2.c'; then $(CYGPATH_W) 'surf/surf_usage2.c'; else $(CYGPATH_W) '$(srcdir)/surf/surf_usage2.c'; fi`
633
634 trace_usage.o: surf/trace_usage.c
635 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trace_usage.o -MD -MP -MF $(DEPDIR)/trace_usage.Tpo -c -o trace_usage.o `test -f 'surf/trace_usage.c' || echo '$(srcdir)/'`surf/trace_usage.c
636 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/trace_usage.Tpo $(DEPDIR)/trace_usage.Po
637 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/trace_usage.c' object='trace_usage.o' libtool=no @AMDEPBACKSLASH@
638 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
639 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trace_usage.o `test -f 'surf/trace_usage.c' || echo '$(srcdir)/'`surf/trace_usage.c
640
641 trace_usage.obj: surf/trace_usage.c
642 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trace_usage.obj -MD -MP -MF $(DEPDIR)/trace_usage.Tpo -c -o trace_usage.obj `if test -f 'surf/trace_usage.c'; then $(CYGPATH_W) 'surf/trace_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/trace_usage.c'; fi`
643 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/trace_usage.Tpo $(DEPDIR)/trace_usage.Po
644 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/trace_usage.c' object='trace_usage.obj' libtool=no @AMDEPBACKSLASH@
645 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
646 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trace_usage.obj `if test -f 'surf/trace_usage.c'; then $(CYGPATH_W) 'surf/trace_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/trace_usage.c'; fi`
647
648 context_usage.o: xbt/context_usage.c
649 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT context_usage.o -MD -MP -MF $(DEPDIR)/context_usage.Tpo -c -o context_usage.o `test -f 'xbt/context_usage.c' || echo '$(srcdir)/'`xbt/context_usage.c
650 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/context_usage.Tpo $(DEPDIR)/context_usage.Po
651 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/context_usage.c' object='context_usage.o' libtool=no @AMDEPBACKSLASH@
652 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
653 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o context_usage.o `test -f 'xbt/context_usage.c' || echo '$(srcdir)/'`xbt/context_usage.c
654
655 context_usage.obj: xbt/context_usage.c
656 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT context_usage.obj -MD -MP -MF $(DEPDIR)/context_usage.Tpo -c -o context_usage.obj `if test -f 'xbt/context_usage.c'; then $(CYGPATH_W) 'xbt/context_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/context_usage.c'; fi`
657 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/context_usage.Tpo $(DEPDIR)/context_usage.Po
658 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/context_usage.c' object='context_usage.obj' libtool=no @AMDEPBACKSLASH@
659 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
660 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o context_usage.obj `if test -f 'xbt/context_usage.c'; then $(CYGPATH_W) 'xbt/context_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/context_usage.c'; fi`
661
662 graphxml_usage.o: xbt/graphxml_usage.c
663 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT graphxml_usage.o -MD -MP -MF $(DEPDIR)/graphxml_usage.Tpo -c -o graphxml_usage.o `test -f 'xbt/graphxml_usage.c' || echo '$(srcdir)/'`xbt/graphxml_usage.c
664 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/graphxml_usage.Tpo $(DEPDIR)/graphxml_usage.Po
665 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/graphxml_usage.c' object='graphxml_usage.o' libtool=no @AMDEPBACKSLASH@
666 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
667 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o graphxml_usage.o `test -f 'xbt/graphxml_usage.c' || echo '$(srcdir)/'`xbt/graphxml_usage.c
668
669 graphxml_usage.obj: xbt/graphxml_usage.c
670 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT graphxml_usage.obj -MD -MP -MF $(DEPDIR)/graphxml_usage.Tpo -c -o graphxml_usage.obj `if test -f 'xbt/graphxml_usage.c'; then $(CYGPATH_W) 'xbt/graphxml_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/graphxml_usage.c'; fi`
671 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/graphxml_usage.Tpo $(DEPDIR)/graphxml_usage.Po
672 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/graphxml_usage.c' object='graphxml_usage.obj' libtool=no @AMDEPBACKSLASH@
673 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
674 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o graphxml_usage.obj `if test -f 'xbt/graphxml_usage.c'; then $(CYGPATH_W) 'xbt/graphxml_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/graphxml_usage.c'; fi`
675
676 heap_bench.o: xbt/heap_bench.c
677 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT heap_bench.o -MD -MP -MF $(DEPDIR)/heap_bench.Tpo -c -o heap_bench.o `test -f 'xbt/heap_bench.c' || echo '$(srcdir)/'`xbt/heap_bench.c
678 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/heap_bench.Tpo $(DEPDIR)/heap_bench.Po
679 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/heap_bench.c' object='heap_bench.o' libtool=no @AMDEPBACKSLASH@
680 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
681 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o heap_bench.o `test -f 'xbt/heap_bench.c' || echo '$(srcdir)/'`xbt/heap_bench.c
682
683 heap_bench.obj: xbt/heap_bench.c
684 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT heap_bench.obj -MD -MP -MF $(DEPDIR)/heap_bench.Tpo -c -o heap_bench.obj `if test -f 'xbt/heap_bench.c'; then $(CYGPATH_W) 'xbt/heap_bench.c'; else $(CYGPATH_W) '$(srcdir)/xbt/heap_bench.c'; fi`
685 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/heap_bench.Tpo $(DEPDIR)/heap_bench.Po
686 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/heap_bench.c' object='heap_bench.obj' libtool=no @AMDEPBACKSLASH@
687 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
688 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o heap_bench.obj `if test -f 'xbt/heap_bench.c'; then $(CYGPATH_W) 'xbt/heap_bench.c'; else $(CYGPATH_W) '$(srcdir)/xbt/heap_bench.c'; fi`
689
690 log_usage.o: xbt/log_usage.c
691 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT log_usage.o -MD -MP -MF $(DEPDIR)/log_usage.Tpo -c -o log_usage.o `test -f 'xbt/log_usage.c' || echo '$(srcdir)/'`xbt/log_usage.c
692 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/log_usage.Tpo $(DEPDIR)/log_usage.Po
693 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/log_usage.c' object='log_usage.o' libtool=no @AMDEPBACKSLASH@
694 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
695 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o log_usage.o `test -f 'xbt/log_usage.c' || echo '$(srcdir)/'`xbt/log_usage.c
696
697 log_usage.obj: xbt/log_usage.c
698 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT log_usage.obj -MD -MP -MF $(DEPDIR)/log_usage.Tpo -c -o log_usage.obj `if test -f 'xbt/log_usage.c'; then $(CYGPATH_W) 'xbt/log_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/log_usage.c'; fi`
699 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/log_usage.Tpo $(DEPDIR)/log_usage.Po
700 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/log_usage.c' object='log_usage.obj' libtool=no @AMDEPBACKSLASH@
701 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
702 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o log_usage.obj `if test -f 'xbt/log_usage.c'; then $(CYGPATH_W) 'xbt/log_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/log_usage.c'; fi`
703
704 mostlyclean-libtool:
705         -rm -f *.lo
706
707 clean-libtool:
708         -rm -rf .libs _libs
709
710 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
711         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
712         unique=`for i in $$list; do \
713             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
714           done | \
715           $(AWK) '    { files[$$0] = 1; } \
716                END { for (i in files) print i; }'`; \
717         mkid -fID $$unique
718 tags: TAGS
719
720 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
721                 $(TAGS_FILES) $(LISP)
722         tags=; \
723         here=`pwd`; \
724         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
725         unique=`for i in $$list; do \
726             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
727           done | \
728           $(AWK) '    { files[$$0] = 1; } \
729                END { for (i in files) print i; }'`; \
730         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
731           test -n "$$unique" || unique=$$empty_fix; \
732           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
733             $$tags $$unique; \
734         fi
735 ctags: CTAGS
736 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
737                 $(TAGS_FILES) $(LISP)
738         tags=; \
739         here=`pwd`; \
740         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
741         unique=`for i in $$list; do \
742             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
743           done | \
744           $(AWK) '    { files[$$0] = 1; } \
745                END { for (i in files) print i; }'`; \
746         test -z "$(CTAGS_ARGS)$$tags$$unique" \
747           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
748              $$tags $$unique
749
750 GTAGS:
751         here=`$(am__cd) $(top_builddir) && pwd` \
752           && cd $(top_srcdir) \
753           && gtags -i $(GTAGS_ARGS) $$here
754
755 distclean-tags:
756         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
757
758 check-TESTS: $(TESTS)
759         @failed=0; all=0; xfail=0; xpass=0; skip=0; ws='[        ]'; \
760         srcdir=$(srcdir); export srcdir; \
761         list=' $(TESTS) '; \
762         if test -n "$$list"; then \
763           for tst in $$list; do \
764             if test -f ./$$tst; then dir=./; \
765             elif test -f $$tst; then dir=; \
766             else dir="$(srcdir)/"; fi; \
767             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
768               all=`expr $$all + 1`; \
769               case " $(XFAIL_TESTS) " in \
770               *$$ws$$tst$$ws*) \
771                 xpass=`expr $$xpass + 1`; \
772                 failed=`expr $$failed + 1`; \
773                 echo "XPASS: $$tst"; \
774               ;; \
775               *) \
776                 echo "PASS: $$tst"; \
777               ;; \
778               esac; \
779             elif test $$? -ne 77; then \
780               all=`expr $$all + 1`; \
781               case " $(XFAIL_TESTS) " in \
782               *$$ws$$tst$$ws*) \
783                 xfail=`expr $$xfail + 1`; \
784                 echo "XFAIL: $$tst"; \
785               ;; \
786               *) \
787                 failed=`expr $$failed + 1`; \
788                 echo "FAIL: $$tst"; \
789               ;; \
790               esac; \
791             else \
792               skip=`expr $$skip + 1`; \
793               echo "SKIP: $$tst"; \
794             fi; \
795           done; \
796           if test "$$failed" -eq 0; then \
797             if test "$$xfail" -eq 0; then \
798               banner="All $$all tests passed"; \
799             else \
800               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
801             fi; \
802           else \
803             if test "$$xpass" -eq 0; then \
804               banner="$$failed of $$all tests failed"; \
805             else \
806               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
807             fi; \
808           fi; \
809           dashes="$$banner"; \
810           skipped=""; \
811           if test "$$skip" -ne 0; then \
812             skipped="($$skip tests were not run)"; \
813             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
814               dashes="$$skipped"; \
815           fi; \
816           report=""; \
817           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
818             report="Please report to $(PACKAGE_BUGREPORT)"; \
819             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
820               dashes="$$report"; \
821           fi; \
822           dashes=`echo "$$dashes" | sed s/./=/g`; \
823           echo "$$dashes"; \
824           echo "$$banner"; \
825           test -z "$$skipped" || echo "$$skipped"; \
826           test -z "$$report" || echo "$$report"; \
827           echo "$$dashes"; \
828           test "$$failed" -eq 0; \
829         else :; fi
830
831 distdir: $(DISTFILES)
832         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
833         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
834         list='$(DISTFILES)'; \
835           dist_files=`for file in $$list; do echo $$file; done | \
836           sed -e "s|^$$srcdirstrip/||;t" \
837               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
838         case $$dist_files in \
839           */*) $(MKDIR_P) `echo "$$dist_files" | \
840                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
841                            sort -u` ;; \
842         esac; \
843         for file in $$dist_files; do \
844           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
845           if test -d $$d/$$file; then \
846             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
847             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
848               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
849             fi; \
850             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
851           else \
852             test -f $(distdir)/$$file \
853             || cp -p $$d/$$file $(distdir)/$$file \
854             || exit 1; \
855           fi; \
856         done
857 check-am: all-am
858         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS) $(check_SCRIPTS)
859         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
860 check: check-am
861 all-am: Makefile
862 installdirs:
863 install: install-am
864 install-exec: install-exec-am
865 install-data: install-data-am
866 uninstall: uninstall-am
867
868 install-am: all-am
869         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
870
871 installcheck: installcheck-am
872 install-strip:
873         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
874           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
875           `test -z '$(STRIP)' || \
876             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
877 mostlyclean-generic:
878
879 clean-generic:
880         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
881
882 distclean-generic:
883         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
884         -rm -f gras/$(am__dirstamp)
885         -rm -f simdag/$(am__dirstamp)
886         -rm -f surf/$(am__dirstamp)
887         -rm -f xbt/$(am__dirstamp)
888         -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
889
890 maintainer-clean-generic:
891         @echo "This command is intended for maintainers to use"
892         @echo "it deletes files that may require special tools to rebuild."
893 clean: clean-am
894
895 clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
896         mostlyclean-am
897
898 distclean: distclean-am
899         -rm -rf ./$(DEPDIR)
900         -rm -f Makefile
901 distclean-am: clean-am distclean-compile distclean-generic \
902         distclean-tags
903
904 dvi: dvi-am
905
906 dvi-am:
907
908 html: html-am
909
910 info: info-am
911
912 info-am:
913
914 install-data-am:
915
916 install-dvi: install-dvi-am
917
918 install-exec-am:
919
920 install-html: install-html-am
921
922 install-info: install-info-am
923
924 install-man:
925
926 install-pdf: install-pdf-am
927
928 install-ps: install-ps-am
929
930 installcheck-am:
931
932 maintainer-clean: maintainer-clean-am
933         -rm -rf ./$(DEPDIR)
934         -rm -f Makefile
935 maintainer-clean-am: distclean-am maintainer-clean-generic
936
937 mostlyclean: mostlyclean-am
938
939 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
940         mostlyclean-libtool
941
942 pdf: pdf-am
943
944 pdf-am:
945
946 ps: ps-am
947
948 ps-am:
949
950 uninstall-am:
951
952 .MAKE: install-am install-strip
953
954 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
955         clean-checkPROGRAMS clean-generic clean-libtool ctags \
956         distclean distclean-compile distclean-generic \
957         distclean-libtool distclean-tags distdir dvi dvi-am html \
958         html-am info info-am install install-am install-data \
959         install-data-am install-dvi install-dvi-am install-exec \
960         install-exec-am install-html install-html-am install-info \
961         install-info-am install-man install-pdf install-pdf-am \
962         install-ps install-ps-am install-strip installcheck \
963         installcheck-am installdirs maintainer-clean \
964         maintainer-clean-generic mostlyclean mostlyclean-compile \
965         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
966         tags uninstall uninstall-am
967
968
969 test: $(noinst_PROGRAMS) $(noinst_SCRIPTS)
970         ./run_tests
971 valgrind: $(noinst_PROGRAMS) $(noinst_SCRIPTS)
972         ./run_tests valgrind
973
974 gras/datadesc_structs.c: gras/mk_datadesc_structs.pl
975         cd gras ; perl ../$(top_srcdir)/testsuite/gras/mk_datadesc_structs.pl > datadesc_structs.c
976
977 dist-files:
978         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
979         @echo
980         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
981 # Tell versions [3.59,3.63) of GNU make to not export all variables.
982 # Otherwise a system limit (for SysV at least) may be exceeded.
983 .NOEXPORT: